## org.eclipse.emf.converter.ui.contribution
Class ModelConverterManager.ModelConverterDescriptorLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.LabelProvider
                  org.eclipse.emf.converter.ui.contribution.ModelConverterManager.ModelConverterDescriptorLabelProvider

All Implemented Interfaces:
  IBaseLabelProvider, ILabelProvider

Enclosing class:
  ModelConverterManager<D extends ModelConverterDescriptor>

    public static class ModelConverterManager.ModelConverterDescriptorLabelProvider

extends LabelProvider

Constructor Summary
`ModelConverterManager.ModelConverterDescriptorLabelProvider()`

Method Summary
`Image` `getImage(java.lang.Object element)`
`java.lang.String` `getText(java.lang.Object element)`

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Constructor Detail

### ModelConverterManager.ModelConverterDescriptorLabelProvider

    public ModelConverterManager.ModelConverterDescriptorLabelProvider()

Method Detail

### getImage

    public Image getImage(java.lang.Object element)

  Specified by:
    `getImage` in interface `ILabelProvider`
  Overrides:
    `getImage` in class `LabelProvider`

### getText

    public java.lang.String getText(java.lang.Object element)

  Specified by:
    `getText` in interface `ILabelProvider`
  Overrides:
    `getText` in class `LabelProvider`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.